namespace TestClassLibrary1
{
    using System.Collections.Generic;


    public class Cars : List<Car>
    {

        public Cars()
        {
            Car car;

            for (int i = 4; i > 0; --i)
            {
                car = new Car("Honda ", "NSX GT", 2003 + i, "http://www.telerik.com/images/reporting/cars/NSXGT_7.jpg"
                    , new string[] { "Red", "Blue", "Black", "Yellow", "White" }, "TV",null,true);
              
                this.Add(car);

                car = new Car("Honda ", "NSX GT", 2003 + i, "http://www.telerik.com/images/reporting/cars/NSXGT_7.jpg"
                    , new string[] { "Red", "Blue", "Black", "Yellow", "White" }, "TV",1235552,true);
              
                this.Add(car);

                car = new Car("Honda ", "NSX GT", 2003 + i, "http://www.telerik.com/images/reporting/cars/NSXGT_7.jpg"
                    , new string[] { "Red", "Blue", "Black", "Yellow", "White" }, "TV", null,true);

                this.Add(car);

                car = new Car("Nissan", "Nissan", 2005 + i, "http://www.telerik.com/images/reporting/cars/EVLR34_1.jpg"
                    , new string[] { "Blue", "White" }, "TV",1336528,true);
                this.Add(car);

                car = new Car("Nissan", "Nissan", 2005 + i, "http://www.telerik.com/images/reporting/cars/EVLR34_1.jpg"
    , new string[] { "Blue", "White" }, "TV", 1336528,true);
                this.Add(car);

                car = new Car("BMW", "Z5", 2007 + i, "http://www.telerik.com/images/reporting/cars//m3_2.jpg"
                    , new string[] { "Red", "Black", "Yellow", "White" }, "TV",2532155,false);
                this.Add(car);

                car = new Car("BMW", "Z5", 2007 + i, "http://www.telerik.com/images/reporting/cars//m3_2.jpg"
                    , new string[] { "Red", "Black", "Yellow", "White" }, "TV",2532155,false);
                this.Add(car);

                car = new Car("BMW", "Z53", 2007 + i, "http://www.telerik.com/images/reporting/cars//m3_2.jpg"
                    , new string[] { "Red", "Black", "Yellow", "White" }, "TV",2532155,false);
                this.Add(car);
                                                car = new Car("BMW", "Z5", 2007 + i, "http://www.telerik.com/images/reporting/cars//m3_2.jpg"
                    , new string[] { "Red", "Black", "Yellow", "White" }, "TV",2532155,false);
                this.Add(car);

                car = new Car("Mazda", "MX-5 SE", 2004 + i, "http://www.telerik.com/images/reporting/cars/MX5_1.jpg"
                    , new string[] { "Blue" }, "TV",2355412,false);
                this.Add(car);

                car = new Car("Audi", "R8", 2006 + i, "http://www.telerik.com/images/reporting/cars/S4_3.jpg"
                    , new string[] { "Red", "Black", "White" }, "TV",122232,true);
                this.Add(car);

                car = new Car("Renault", "R5 Turbo", 2006 + i, "http://www.telerik.com/images/reporting/cars/R5_2.jpg"
                    , new string[] { "Red", "Blue", "Black", "Yellow" }, "TV",23554252,true);
                this.Add(car);

                car = new Car("Lotus", "Exige", 2007 + i, "http://www.telerik.com/images/reporting/cars/Exige_1.jpg"
                    , new string[] { "Blue", "White" }, "TV",2563777,false);
                this.Add(car);
            }
        }

        public IEnumerable<Car> GetCars(int? carID)
        {
            return new Car[0];
        }
    }
}
